Index: main/trunk/greenstone3/web/interfaces/default/js/debug_scripts.js
===================================================================
--- main/trunk/greenstone3/web/interfaces/default/js/debug_scripts.js	(revision 26587)
+++ main/trunk/greenstone3/web/interfaces/default/js/debug_scripts.js	(revision 26614)
@@ -14,4 +14,5 @@
 	var _mainDiv;
 	var _textDiv;
+	var _editor;
 	var _editingDiv;
 	var _unpauseButton;
@@ -108,8 +109,7 @@
 		setInterval(function()
 		{
-			var editor = _editingDiv.find("textarea");
-			if(editor.length)
-			{
-				var xmlString = editor.val();
+			if(_editor)
+			{
+				var xmlString = _editor.getValue();
 				try
 				{
@@ -140,8 +140,7 @@
 		_saveButton.click(function()
 		{
-			var editor = _editingDiv.find("textarea");
-			if(editor.length)
-			{
-				var xmlString = editor.val().replace(/&/g, "&amp;");
+			if(_editor)
+			{
+				var xmlString = _editor.getValue().replace(/&/g, "&amp;");
 				try
 				{
@@ -281,5 +280,5 @@
 				}
 			
-				var editArea = $("<textarea>");
+				var editArea = $("<div>", {"id":"textEditor"});
 				editArea.css({"width":"98%", "height":"180px"});
 				editArea.val(template);
@@ -288,4 +287,10 @@
 				_editingDiv.append(editArea);
 				_editingDiv.css({"height":"190px"});
+				
+				_editor = ace.edit("textEditor");
+				_editor.getSession().setMode("ace/mode/xml");
+				_editor.setValue(template);
+				_editor.clearSelection();
+				console.log(_editor);
 				
 				_mainDiv.css({"height":"500px"});
Index: main/trunk/greenstone3/web/interfaces/default/transform/layouts/header.xsl
===================================================================
--- main/trunk/greenstone3/web/interfaces/default/transform/layouts/header.xsl	(revision 26587)
+++ main/trunk/greenstone3/web/interfaces/default/transform/layouts/header.xsl	(revision 26614)
@@ -73,4 +73,5 @@
 		<script type="text/javascript" src="interfaces/{$interface_name}/js/jquery.themeswitcher.min.js"><xsl:text> </xsl:text></script>
 		<script type="text/javascript" src="interfaces/{$interface_name}/js/jquery.blockUI.js"><xsl:text> </xsl:text></script>
+		<script type="text/javascript" src="interfaces/{$interface_name}/js/ace/ace.js"><xsl:text> </xsl:text></script>
 		
 		<script type="text/javascript" src="interfaces/{$interface_name}/js/direct-edit.js"><xsl:text> </xsl:text></script>
